/*
 * Copyright 2015 Christian Basler
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.dissem.apps.abit.util;

import android.content.Context;

import java.io.IOException;
import java.io.InputStream;
import java.util.LinkedList;
import java.util.List;
import java.util.Scanner;

/**
 * Helper class to work with Assets.
 */
public class Assets {
    public static List<String> readSqlStatements(Context ctx, String name) {
        try {
            InputStream in = ctx.getAssets().open(name);
            Scanner scanner = new Scanner(in, "UTF-8").useDelimiter(";");
            List<String> result = new LinkedList<>();
            while (scanner.hasNext()) {
                String statement = scanner.next().trim();
                if (!"".equals(statement)) {
                    result.add(statement);
                }
            }
            return result;
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
